:host { display: block; container: cards / inline-size; }
:host([design="alternate"]) article { border: 1px solid var(--fds-on-surface-ulow); background-color: var(--fds-surface-variant); border-radius: var(--fds-border-radius-container-default); overflow: hidden; }
.intro { padding: var(--fds-spacing-050) var(--fds-spacing-200); height: 40px; }
.intro { display: flex; justify-content: space-between; align-items: center; gap: var(--fds-spacing-100); margin: 0 0 var(--fds-spacing-150); }
.intro-title { margin: 0px; color: var(--offers-cards-collection-title-color, var(--fds-on-surface-hi)); font: var(--offers-cards-collection-intro-title-font, var(--fds-headline-small)); }
.intro-control-link { display: inline-flex; align-items: center; gap: var(--fds-spacing-050); padding: var(--fds-spacing-100) var(--fds-spacing-050) var(--fds-spacing-100) var(--fds-spacing-150); border-radius: var(--border-radius-small); border: 0 solid var(--offers-cards-collection-button-border-color, var(--fds-primary)); font: var(--offers-cards-collection-button-font, var(--fds-paragraphs-small-bold)); text-decoration: none; color: var(--offers-cards-collection-button-font-color, var(--fds-on-surface-color)); }
.intro-control-link:hover { background-color: var(--offers-cards-collection-button-background-color-hover, var(--fds-primary-interaction-low)); cursor: pointer; }
.cards-container { display: flex; flex-wrap: nowrap; overflow-x: auto; justify-content: space-between; width: 100%; gap: var(--fds-spacing-100); padding: 0 var(--fds-spacing-200); scrollbar-width: none; margin: 0px; }
.cards-container::-webkit-scrollbar { display: none; }
.tnc-link-enabled { padding-bottom: var(--fds-spacing-200); }
article { width: var(--offers-cards-collection-inline-banner-article-width, 158px); flex: 0 0 auto; }
:host(:not([design="alternate"])) .card { height: var(--offers-cards-collection-inline-banner-card-height, 228px); border-radius: var(--border-radius-large); overflow: hidden; background-position: center top; background-repeat: no-repeat; background-size: cover; background-color: var(--offers-cards-collection-card-background-color, var(--fds-surface-variant)); position: relative; }
.card.is-loading { background: linear-gradient(90deg, rgb(236, 236, 236) 8%, rgb(245, 245, 245) 18%, rgb(236, 236, 236) 33%) 0% 0% / 200% 100% rgb(238, 238, 238); border-radius: var(--border-radius-small); animation: 1.5s linear 0s infinite normal none running shellLoading; height: 100%; }
img { width: 100%; height: 100%; object-fit: cover; object-position: center top; }
:host([design="alternate"]) img { aspect-ratio: 1 / 1; }
.card-link { box-sizing: border-box; display: block; width: 100%; height: 100%; text-decoration: none; list-style: none; }
.card-info { position: absolute; right: 0px; bottom: 0px; left: 0px; min-height: var(--offers-cards-collection-inline-banner-card-info-height, 52px); padding: var(--fds-spacing-100); border-radius: 0 0 var(--border-radius-large) var(--border-radius-large); background-color: var(--card-info-background-color, rgba(0, 7, 91, 0.8)); color: var(--offers-cards-collection-card-info-font-color, var(--fds-on-primary)); white-space: normal; }
:host([design="alternate"]) .card-info { position: initial; background: unset; min-height: 84px; display: flex; flex-direction: column; gap: var(--fds-spacing-150); padding: var(--fds-spacing-150); color: var(--promotion-content-color, var(--fds-on-surface-hi)); }
.card-info-decorator, .card-info-title { color: var(--offers-cards-collection-card-info-font-color, var(--fds-on-primary)); margin: 0px; }
.card-info-decorator { line-height: 1.6; text-transform: uppercase; }
:host([design="alternate"]) .card-info-decorator { font: var(--fds-paragraphs-small); padding: var(--fds-spacing-050) var(--fds-spacing-150); border: 1px solid var(--fds-on-surface-low, currentColor); border-radius: var(--border-radius-xlarge, var(--fds-border-radius-container-default)); color: var(--promotions-product-type-link-color, var(--fds-on-surface-m)); text-transform: none; width: fit-content; }
.card-info-title { line-height: 1.33; overflow: hidden; text-overflow: ellipsis; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; }
:host([design="alternate"]) .card-info-title { font: var(--fds-paragraphs-small-bold); color: var(--promotion-content-color, var(--fds-on-surface-hi)); }
:host([design="alternate"]) .intro-title { font: var(--fds-headline-tiny); }
.section-footer { margin-top: 0px; }
.section-footer > p, .promotion-tc { margin: 0px; font: var(--offers-cards-collection-footer-font, var(--fds-paragraphs-tiny)); word-break: break-word; }
:host([design="alternate"]) .section-footer { margin-top: var(--fds-spacing-200); padding: 0 var(--fds-spacing-200); }
.section-footer.tnc-link-enabled { padding: 0 var(--fds-spacing-200); margin-top: var(--fds-spacing-200); }
.section-footer > p a, .promotion-tc a { color: var(--offers-cards-collection-footer-text-color, var(--fds-primary)); text-decoration: none; }
@keyframes shellLoading { 
  100% { background-position-x: -200%; }
}
@container cards (min-width: 768px) {
  article { width: var(--offers-cards-collection-inline-banner-article-md-width, 189px); }
  article:not(:last-child) { margin-right: 0px; }
  :host(:not([design="alternate"])) .intro-title { font: var(--offers-cards-collection-intro-title-font, var(--fds-headline-regular)); }
  :host(:not([design="alternate"])) .card { height: var(--offers-cards-collection-inline-banner-card-md-height, 300px); }
  .card-info { min-height: var(--offers-cards-collection-inline-banner-card-info-md-height, 60px); padding: var(--fds-spacing-200); }
  .card-info-title { font: var(--offers-cards-collection-card-info-title-font, var(--fds-paragraphs-regular-bold)); }
}
@container cards (min-width: 1023px) {
  .intro-control-link { background-color: var(--offers-cards-collection-button-background-color, var(--fds-primary-interaction-low)); }
  .intro-control-button { text-transform: var(--offers-cards-collection-button-text-transform, none); }
  .cards-container { gap: var(--fds-spacing-150); }
  article { max-width: 238px; flex: 1 1 0%; }
  .section-footer { margin-top: var(--fds-spacing-100); }
  .tnc-link-enabled { padding-bottom: 0px; }
  :host([design="alternate"]) .card-info { min-height: 96px; }
  :host([design="alternate"]) .section-footer { margin-top: var(--fds-spacing-100); padding: 0px; }
}
@container cards (min-width: 1190px) {
  .intro { height: 40px; }
}
@media screen and (min-width: 1250px) {
  :host { padding: var(--fds-spacing-200) 0; }
  .cards-container { padding: 0px; }
  .intro { padding: var(--fds-spacing-050) 0; }
  .section-footer.tnc-link-enabled { padding: 0px; margin-top: var(--fds-spacing-100); }
}